## buddycloud-server 0.1.10

=== debian/changelog ===
buddycloud-server (0.1.10-2) unstable; urgency=low

  * Fix depend on adduser.
    Closes: bug#657485. Thanks to Andreas Beckmann.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Jan 2012 16:49:37 +0100

buddycloud-server (0.1.10-1) unstable; urgency=low

  * New upstream release.
  * Fix patch 1004 to prepare logdir (not only piddir) as needed.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Jan 2012 12:24:22 +0100

buddycloud-server (0.1.9-2) unstable; urgency=low

  * Fix create correct user.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Jan 2012 23:53:45 +0100

buddycloud-server (0.1.9-1) unstable; urgency=low

  * New upstream release.
  * Unfuzz patches.
  * Adapt to new upstream build structure.
  * Hardcode upstream version (fixing attempts to resolve at runtime
    from package.json file not shipped with Debian).
  * Adapt example config file during build (Keep example file pristine).
    Disable patch 1003, but preserve in source for upstream consumption.
  * Fix consistently use package name in logpath and pidpath, and as
    username (the latter assumed by dbconfig-common).
  * Use socket connection to Postgres by default.
  * Update TODO.
  * Extend copyright years for Debian dir.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Jan 2012 23:39:16 +0100

buddycloud-server (0.1.7-2) unstable; urgency=low

  * Fix apply package dependencies.
  * Add patch 1003 to save logs in own dir, easing access rights
    handling.
  * Add patch 1004 to setup access rights and needed dirs when starting
    daemon.
  * Add patch 1005 to fix sysV init script paths.
  * Install initscript.
  * Improve logfile handling. Recommend logrotate.
  * Handle database. Depend on dbconfig-common. Recommend postgres and
    postgres-client.
  * Tighten build-dependency of cdbs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Jan 2012 15:08:15 +0100

buddycloud-server (0.1.7-1) unstable; urgency=low

  * New snapshot of upstream VCS.

  [ Jonas Smedegaard ]
  * Rename source and binary package to buddycloud-server (from
    channel-server).
  * Install files from src (not root dir).
  * Bump debhelper compatilibity level to 7.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * Declare all package relations in rules file.
  * Depend/recommend/suggest node-* packages (not libnode-*).
  * Adapt package relations for new release:
    + Build-depend on coffeescript.
    + Tighten to depend versioned on node-node-xmpp.
    + Depend on (not recommend) node-node-stringprep and node-pg.
    + Depend on node-node-expat, node-ltx, node-jsconfig, node-async,
      node-common-logger and node-ain2.
    + Depend on node-underscore.logger (not node-common-logger).
    + Stop depending on node-step or node-cradle.
    + Stop recommending couchdb.
    + Stop suggesting node-vows.
  * Update watch file to use more flexible regex.
  * Install (locally written, simple wrapper) daemon binary, and
    (locally generated) corresponding man page.
  * Add patch 1001 to speedup system shutdown by avoiding explicit sysV
    stop.
  * Add patch 1002 to improve default config path handling. Adjust
    install routines to match.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Jan 2012 21:12:09 +0100

channel-server (0.0.1+20110418-2) unstable; urgency=low

  * Team upload.
  * Update runtime dependency of libnode-step to node-step,
    prepare for future uploads of other libnode-* → node-* modules

 -- David Paleino <dapal@debian.org>  Fri, 28 Oct 2011 23:23:03 +0200

channel-server (0.0.1+20110418-1) unstable; urgency=low

  * New snapshot of upstream VCS.

  [ Jonas Smedegaard ]
  * Bump copyright file format to draft 174 of DEP-5.
  * Bump policy compliance to standards-version 3.9.2.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Apr 2011 12:09:45 +0200

channel-server (0.0.1+20110324-1) unstable; urgency=low

  * New snapshot of upstream Git.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Mar 2011 20:52:21 +0100

channel-server (0.0.1+20110217-1) unstable; urgency=low

  * New snapshot of upstream Git.
  * Fix tie proper email addresses to artist and real name of upstream
    author, as per request.
  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.
  * Update upstream URLs.
  * Add (network-requiring) test as example file and suggest
    libnode-vows for use with it.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Feb 2011 03:12:27 +0100

channel-server (0.0.1+2git.84338b-1) unstable; urgency=low

  * New snapshot of upstream Git.
  * Recommend libnode-pg for newly added Postgres backend support.
  * Rewrite package descriptions to use upstream description.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Feb 2011 19:25:18 +0100

channel-server (0.0.1+1git.bde683-1) unstable; urgency=low

  * New upstream Git snapshot.
  * Fix recommend libnode-node-stringprep (not bogus
    libnode-stringprep).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jan 2011 04:56:29 +0100

channel-server (0.0.1-3) unstable; urgency=low

  * Update dependencies to names matching micro-policy Node naming
    scheme: libnode-PKG.
  * Drop marketing-like paragraph from long description.
  * Fix package relations:
    + Depend on libnode-cradle and libnode-node-uuid.
    + Recommend libnode-stringprep.
  * Install config below /etc.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Jan 2011 04:38:45 +0100

channel-server (0.0.1-2) unstable; urgency=low

  * Fix build-depend on step.js (not unrelated step).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jan 2011 03:35:52 +0100

channel-server (0.0.1-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#611315.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jan 2011 03:10:30 +0100
