## buddycloud-server 0.1.11

=== debian/changelog ===
buddycloud-server (0.1.11-1) unstable; urgency=low

  * New upstream release.
  * Drop patches 1001-1004: Adopted upstream.
  * Fix remove debian/config.js in clean target.
  * Update package relations:
    + Relax to depend unversioned on node-node-xmpp: Only satisfied
      version exist in Debian.
    + Depend on node-glob.
  * Adapt version hardcoding, and add comment to drop when installing
    with muffin.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Feb 2012 01:33:33 +0100
