=== debian/control ===
Source: buddycloud-server
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.72~),
 debhelper,
 dh-buildinfo,
 coffeescript (>= 1.1.1),
 nodejs,
 node-jsconfig,
 node-async,
 help2man
Standards-Version: 3.9.2
Homepage: https://github.com/buddycloud/buddycloud-server
Vcs-Git: git://git.debian.org/git/collab-maint/buddycloud-server
Vcs-Browser: http://git.debian.org/?p=collab-maint/buddycloud-server.git

Package: buddycloud-server
Architecture: all
Depends: ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: buddycloud channels service for XMPP
 Node is an event-based server-side JavaScript engine.
 .
 buddycloud-server is an XMPP component implemented in Node, providing
 Buddycloud channels, an open federated social networking protocol from
 http://open.buddycloud.com/ .
