=== debian/rules ===
--- 
+++ 
@@ -34,15 +34,15 @@
 CDBS_BUILD_DEPENDS += , $(deps)
 CDBS_DEPENDS_$(daemon-pkgname) = $(deps)
 
-CDBS_DEPENDS_$(daemon-pkgname) += , node-node-xmpp (>= 0.3.1), node-node-stringprep, node-node-expat
+CDBS_DEPENDS_$(daemon-pkgname) += , node-node-xmpp, node-node-stringprep, node-node-expat
 CDBS_DEPENDS_$(daemon-pkgname) += , node-ltx, node-node-uuid, node-pg, node-underscore.logger
-CDBS_DEPENDS_$(daemon-pkgname) += , node-pg, node-underscore.logger, node-ain2
+CDBS_DEPENDS_$(daemon-pkgname) += , node-pg, node-underscore.logger, node-ain2, node-glob
 CDBS_DEPENDS_$(daemon-pkgname) += , lsb-base, adduser
 
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/buddycloud/buddycloud-server
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = c114daa8c4d589d623822857ecfc7311
+DEB_UPSTREAM_TARBALL_MD5 = f95d779f04cee71b8ebedc1e5abe6305
 
 DEB_INSTALL_DOCS_ALL += README.md
 DEB_INSTALL_EXAMPLES_$(daemon-pkgname) += config.js.example
@@ -72,6 +72,7 @@
 	fi
 clean::
 	rm -rf lib
+	rm -f debian/config.js
 
 # generate manpage based on --help option of script itself
 CDBS_BUILD_DEPENDS += , help2man
@@ -105,11 +106,11 @@
 	install -D -m 0644 postgres.sql \
 		'$(cdbs_curdestdir)/usr/share/dbconfig-common/data/buddycloud-server/install/postgres'
 
-# Hardcode upstream version in main library file
+# TODO: drop when using muffin to install
 verfile=$(cdbs_curdestdir)/usr/share/$(daemon-pkgname)/main.js
 binary-post-install/$(daemon-pkgname)::
-	perl -i -pe 's/^(\s*version = ).*package\.json.*/$$1'"'$(DEB_UPSTREAM_VERSION)'"'/' '$(verfile)'
-	@if ! fgrep -xq '    version = '"'$(DEB_UPSTREAM_VERSION)'" '$(verfile)'; then \
+	perl -i -pe 's/^(\s*version = )require.*/$$1'"'$(DEB_UPSTREAM_VERSION)'"'/' '$(verfile)'
+	@if ! fgrep -xq '  version = '"'$(DEB_UPSTREAM_VERSION)'" '$(verfile)'; then \
 		echo "Failed to hardcode version."; \
 		exit 1; \
 	fi
