=== debian/watch ===
version=3
http://githubredir.debian.net/github/buddycloud/buddycloud-server .*?(\d[^/]*).tar.gz
