## buddycloud-server 0.2.1

=== debian/changelog ===
buddycloud-server (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump copyright file format to 1.0.
  * Bump standards-version to 3.9.3.
  * Suppress lintian warning about deliberately skipped SysV runlevels.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Mar 2012 20:05:56 +0100

buddycloud-server (0.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Feb 2012 13:31:51 +0100
