=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  node-jsconfig,
  node-async,
  help2man
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/buddycloud/buddycloud-server
 Vcs-Git: git://git.debian.org/git/collab-maint/buddycloud-server
 Vcs-Browser: http://git.debian.org/?p=collab-maint/buddycloud-server.git
