=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/buddycloud/buddycloud-server
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = f95d779f04cee71b8ebedc1e5abe6305
+DEB_UPSTREAM_TARBALL_MD5 = 91690bdfac9650dd6d1537fe751a7c7b
 
 DEB_INSTALL_DOCS_ALL += README.md
 DEB_INSTALL_EXAMPLES_$(daemon-pkgname) += config.js.example
