## buddycloud-server 0.3.1

=== debian/changelog ===
buddycloud-server (0.3.1-2) unstable; urgency=low

  * Call binary /usr/bin/nodejs (not node), and tighten
    (build-)dependency on nodejs.
    Closes: bug#686896. Thanks to Aaron M. Ucko.
  * Pre-depend (not depend) on dbconfig-common: it needs to already be
    installed at the time of our postinst (i.e. configuration is broken
    if installed together and APT decides to process dbconfig-common
    last).
  * Run as user buddycloud (not buddycloud-server): Postgres does not
    support dash in username.
  * Mention possible upstream brokenness as TODOs.
  * Directly use github.com (not unreliable githubredir.debian.net).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Sep 2012 17:29:30 +0200

buddycloud-server (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file: Shorten comments, and quote license strings.
  * Use anonscm.debian.org URL in Vcs-Browser field.
  * Fix failure to purge package when dbconfig-common not installed.
  * Add patch 1001 to consistently use --exec in sysV init to support
    long UID.
  * Add patch 1002 to fix path to default config.
    Thanks to Philip Hands for insisting.
  * Install unpatched config as default (not symlink from below /etc).
  * Update package relations:
    + Build-depend unversioned on coffeescript: Satisfied in unstable
      and unavailable in other Debian suites.
    + Stop depending on node-glob: Needed only for build tool muffin,
      according to upstream git commit message.
    + Recommend prosody or ejabberd or jabberd2.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 May 2012 00:03:34 +0200
