=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.72~),
+Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
- coffeescript (>= 1.1.1),
- nodejs,
+ coffeescript,
+ nodejs (>= 0.6.19~dfsg1-3~),
  node-jsconfig,
  node-async,
  help2man
 Standards-Version: 3.9.3
 Homepage: https://github.com/buddycloud/buddycloud-server
 Vcs-Git: git://git.debian.org/git/collab-maint/buddycloud-server
-Vcs-Browser: http://git.debian.org/?p=collab-maint/buddycloud-server.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/buddycloud-server.git
 
 Package: buddycloud-server
 Architecture: all
+Pre-Depends: ${cdbs:Pre-Depends}
 Depends: ${misc:Depends},
  ${cdbs:Depends}
 Recommends: ${cdbs:Recommends}
