=== debian/watch ===
version=3
https://github.com/buddycloud/buddycloud-server/tags .*/tarball/v?(\d[\d\.]+)
