## buddycloud-server 0.3.5

=== debian/changelog ===
buddycloud-server (0.3.5-2) unstable; urgency=low

  * Update watch and rules files to use archive subdir at github.com.
  * Build-depend on devscripts, to always check copyright during build.
  * Bump dephelper compatibility level to 8.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Nov 2012 14:39:01 +0100

buddycloud-server (0.3.5-1) unstable; urgency=low

  * New upstream release.

  * Drop patch 1001: Unneeded (we no longer use a long username) and
    possible wrong (it is an interpreted script).
  * Adjust patch 1005 to invoke nodejs (not wrapper), to follow upstream
    change. Stop installing wrapper or manpage. Stop build-depending on
    help2man.
  * Unfuzz patches, and bump DEP3 Last-Update hints.
  * Fix avoid postrm script failing if dbconfig-common missing.
    Closes: bug#665339. Thanks to Andreas Beckmann.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Sep 2012 18:45:55 +0200
