=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
+ devscripts,
  debhelper,
  dh-buildinfo,
  coffeescript,
  nodejs (>= 0.6.19~dfsg1-3~),
  node-jsconfig,
- node-async,
- help2man
+ node-async
 Standards-Version: 3.9.3
 Homepage: https://github.com/buddycloud/buddycloud-server
 Vcs-Git: git://git.debian.org/git/collab-maint/buddycloud-server
