=== debian/rules ===
--- 
+++ 
@@ -16,16 +16,12 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
--include /usr/share/cdbs/1/rules/upstream-tarball.mk
+include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-daemon = buddycloud-server
-pkg = $(daemon)
-
-# suppress optional build-dependencies
-CDBS_BUILD_DEPENDS_rules_upstream-tarball =
-CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
+pkg = $(DEB_SOURCE_PACKAGE)
+daemon = $(pkg)
 
 CDBS_BUILD_DEPENDS += , coffeescript
 
@@ -42,13 +38,9 @@
 CDBS_DEPENDS_$(pkg) += , lsb-base, adduser
 CDBS_RECOMMENDS_$(pkg) = prosody | ejabberd | jabberd2
 
-DEB_UPSTREAM_URL = https://github.com/buddycloud/$(daemon)/tarball
+DEB_UPSTREAM_URL = https://github.com/buddycloud/$(daemon)/archive
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_DELIMITER =
-DEB_UPSTREAM_TARBALL_EXTENSION =
-DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
-DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 2128bc02de4b4491f618b29b8656741b
+DEB_UPSTREAM_TARBALL_MD5 = 58638415c97a08f09099d4637f9848bf
 
 DEB_INSTALL_DOCS_ALL += README.md
 DEB_INSTALL_EXAMPLES_$(pkg) += config.js.example
@@ -81,23 +73,6 @@
 	rm -rf lib
 	rm -f config.js debian/config.js
 
-# generate manpage based on --help option of script itself
-CDBS_BUILD_DEPENDS += , help2man
-manpages = debian/buddycloud-server.1
-DEB_INSTALL_MANPAGES_$(pkg) = $(manpages)
-common-binary-indep:: $(manpages)
-$(manpages): build/$(pkg)
-$(manpages): debian/%.1 : bin/%
-	help2man \
-		--name="buddycloud channels service for XMPP" \
-		--version-string="$(DEB_NOEPOCH_VERSION)" \
-		--no-info \
-		--no-discard-stderr \
-		--output=$@ \
-		$<
-clean::
-	rm -f $(manpages)
-
 # Install initscript with debhelper to add pre- and postinst routines
 #  * Skip runlevels 0 and 6: faster leaving to internal sysV cleanup
 CDBS_RECOMMENDS_$(pkg) += , logrotate
