=== debian/watch ===
version=3
https://github.com/buddycloud/buddycloud-server/tags .*/archive/v?(\d[\d\.]+).tar.gz
